Subject: Re: Why is cygwin.dll?
From: [email-masked]

17 Jan 1997 11:27:53 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi, you wrote:

: Maybe if you could get it ported to Visual C++, however when talking about
: cygwin.dll, as mentioned in Jim Balter's reply to the same thread, if you
: compile this on Visual C++ it would be using DOS's file system and syscalls
: etc.. yet under cygwin.dll for file access it would need all the extra code
: which cygwin.dll adds to mimic the  Unix subsystems. This would no doubt be
: a rather large amount, and if just making something like grep by itself
: mostly be unnecessary, assuming you just want want grep on win32.

No wonder that msvcrt*.dll are only about 10% of cygwin.dll!

Who was it wanting a standalone executable for easier distribution?
I remember when building with msvc and copying the executable to another
system, it first failed because msvcrt*.dll is not by default on NT!
Dunno if you can produce a purely static thing... (except kernel32 etc 8-)

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".